cURL
curl --request GET \
--url https://api.flipsuite.xyz/v1/community/gating/users/{userId} \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.flipsuite.xyz/v1/community/gating/users/{userId}"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.flipsuite.xyz/v1/community/gating/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"discordUserId": "328218133074804739",
"discordUsername": "boaven",
"discordAvatarUrl": "https://cdn.discordapp.com/avatars/328218133074804739/e8cb8310f09acf1c6db318a8ee6603cc.webp?size=256",
"linkedAccounts": [
{
"platform": "twitter",
"username": "boavenn"
}
],
"linkedWallets": [
{
"chain": "Linea",
"chainId": "59144",
"address": "0x5c8eda15c9470562fa09b80de50c9295fa805d32"
}
]
}Users
Get User Details
Get details about a user verified in your server
GET
/
v1
/
community
/
gating
/
users
/
{userId}
cURL
Note that only accounts and wallets required for verification based on your server’s gating rules will be
included in the response. For example, if no rule in your server requires a Solana wallet, it won’t be
included in the response even if user has a Solana wallet linked.
All users can opt-out from sharing their linked accounts and wallets in your server via privacy settings.
If sharing is disabled, the
isRedacted field will be set to true in the linked accounts and wallets returned in
the response, and their details will be blank.Headers
Your community API key
Path Parameters
Discord ID of the user to query
Pattern:
^d+$Response
User details have been retrieved
Discord ID of the user.
Discord username of the user.
Accounts linked to the user's Flipsuite account.
Show child attributes
Show child attributes
Wallets linked to the user's Flipsuite account.
Show child attributes
Show child attributes
Discord avatar URL of the user.